Rename an organisation
Updates the display name of the organisation. Only members with the `org:write` scope (Builder or Admin) can rename. **Required scope:** `org:write`
Authorization
BearerAuth Security scheme for OpenAPI endpoints. Validates both JWT tokens and API keys.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "owner": "534359f7-5407-4b19-ba92-c71c370022a5", "config": { "table_constraints": null, "features": [ { "key": "string", "enabled": true, "phase": "string", "default_enabled": true } ] }, "userCount": 0, "createdAt": "string", "updatedAt": "string", "deletedAt": "string"}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}{ "code": "string", "message": "string", "request_id": "string", "details": [ { "field": "string", "message": "string" } ]}Delete an organisation
Soft-deletes the organisation and all its memberships. Member accounts are untouched — they keep any other organisation memberships and can still sign in. Only the organisation owner can perform this action. **Required scope:** `org:admin`
Transfer organisation ownership
Transfers ownership of the organisation to another existing member. Only the current owner can perform this action. The new owner is automatically promoted to Admin if they are not already. **Required scope:** `org:admin`